# ApprovalRequest

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**id** | **string** | The approval request identifier | [default to undefined]|
|**type** | **string** | The approval request type | [default to undefined]|
|**state** | **string** | The approval request state | [default to undefined]|


## Enum: ApprovalRequestTypeEnum


* `Update` (value: `'TAG_UPDATE'`)

* `Delete` (value: `'TAG_DELETE'`)

* `AttachDetach` (value: `'TAG_ATTACH_DETACH'`)



## Enum: ApprovalRequestStateEnum


* `Pending` (value: `'PENDING'`)

* `Approved` (value: `'APPROVED'`)

* `Rejected` (value: `'REJECTED'`)

* `Failed` (value: `'FAILED'`)

* `Cancelled` (value: `'CANCELLED'`)

* `Expired` (value: `'EXPIRED'`)





[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
